Bug 1412134 - [Doc] Installing CloudForms on RHV flow change for RHV-4.1
Summary: [Doc] Installing CloudForms on RHV flow change for RHV-4.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Documentation
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.6.4
Assignee: Dayle Parker
QA Contact: Suyog Sainkar
URL:
Whiteboard: rhev
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 10:36 UTC by Ilanit Stein
Modified: 2017-03-13 01:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-13 01:27:23 UTC
Category: ---
Cloudforms Team: Unknown
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1410020 0 unspecified CLOSED Provide CFME/RHV build in qcow format, further to image uploader tool drop for RHV-4.1 2021-02-22 00:41:40 UTC

Internal Links: 1410020

Description Ilanit Stein 2017-01-11 10:36:38 UTC
Document URL: 
https://access.redhat.com/documentation/en/red-hat-cloudforms/4.2/paged/installing-red-hat-cloudforms-on-red-hat-enterprise-virtualization/

Background for changing this doc:
On RHV-4.1 the image uploader tool (loading OVA files to RHV) has been dropped. 
CF on RHV users should migrate to use RHV upload API\UI to create disk and then attach it to a VM.

Therefore, for RHV-4.1, the new CF on RHV release format will be qcow,
while the previous format, OVA, will be still provided,
to support RHV-4.0, and bellow (see bug 1410020)

Changes required in the doc:
Based on the above, need to add the doc, that for RHV-4.1, the CF on RHV installation will be by uploading qcow disk on RHV, and then create a VM.
For the VM creation, need to add reference,
to a guide on CFME recommendations for VM parameters such as memory, etc.


RHV-4.0 support this installation flow, as well as the previous one, using the OVA.
RHV-3.6 and bellow support only the previous installation flow.
 


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:

Comment 3 Andrew Dahms 2017-02-28 05:34:47 UTC
What we need to do is restructure the section on uploading the image a little so that it provides more information.

First, we need to add an introduction that explains the difference - the image-uploader for 4.0 and earlier, the UI for 4.1 and above.

Second, we need to add a procedure based on the following on how to upload an image via the UI -

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1-beta/html-single/administration_guide/#Uploading_a_Disk_Image_to_a_Storage_Domain

We should also take the opportunity to remove the section on using the uploader tool and link to the RHV docs instead -

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1-beta/html-single/administration_guide/#sect-The_Image_Uploader_Tool

This would end up looking like the following -

1.2. Uploading the Appliance on Red Hat Enterprise Virtualization Manager
<Current text and new note about versions>
1.2.1. Uploading the Appliance via the Administration Portal
1.2.2. Uploading the Appliance with the Image Uploader
1.2.3. Uploading the Appliance Manually

Comment 4 Andrew Dahms 2017-02-28 05:44:36 UTC
Assigning to Dayle for review.


Note You need to log in before you can comment on or make changes to this bug.